# Uses of Interface
org.eclipse.birt.report.engine.extension.IReportEventHandler

Packages that use IReportEventHandler
Package
Description
org.eclipse.birt.report.engine.extension
This package defines 3 key interfaces ---- IReportItemQuery, IReportItemGeneration, and IReportItemPresentation ---- that are used to process an extended item at query preparation, report generation and report rendering times.

## Uses of IReportEventHandler in org.eclipse.birt.report.engine.extension

Methods in org.eclipse.birt.report.engine.extension that return IReportEventHandler
Modifier and Type
Method
Description
`IReportEventHandler`
IExtendedItem.`createEventHandler()`